Skip to main content
GET
/
v1
/
balances
/
transactions
List Balances Transactions
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v1/balances/transactions \
  --header 'x-auth-token: <api-key>'
{
  "total_pages": 10,
  "total_items": 105,
  "data": [
    {
      "transaction_id": "5135e6cc-28b6-4889-81dc-3b86a09e1395",
      "balance_id": "72970a7c-7921-431c-b95f-3438724ba16f",
      "transaction_type": "DEPOSIT",
      "currency": "USD",
      "amount": "100.02",
      "credit_debit_type": "C",
      "create_time": "2024-03-01T00:00:00+08:00",
      "complete_time": "2024-03-01T00:00:00+08:00",
      "reference_id": "b52aaed6-1274-41b8-999e-f036085a6da8",
      "transaction_status": "PENDING",
      "account_id": "72970a7c-7921-431c-b95f-3438724ba16f",
      "transaction_way": "API"
    }
  ]
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Query Parameters

page_size
integer
required

The maximum number of items to return per page. Must be between 10 and 100, inclusive.

Required range: 1 <= x <= 100
Example:

10

page_number
integer
required

The page number to retrieve a specific set of items. Must be 1 or greater.

Required range: x >= 1
Example:

1

start_time
string

The start time of created_time in ISO8601 format (inclusive).

Example:

"2024-03-01T00:00:00+08:00"

end_time
string

The end time of created_time in ISO8601 format (inclusive).

Example:

"2024-03-01T00:00:00+08:00"

currency
string

Specifies the currency for which transactions are retrieved. Currency codes follow the ISO 4217 standard.

Example:

"USD"

transaction_type
enum<string>

Transaction type.

Available options:
ALL,
PAYIN,
DEPOSIT,
PAYOUT,
TRANSFER,
CONVERSION,
FEE,
REFUND,
ADJUSTMENT,
INVOICE
Example:

"PAYOUT"

transaction_status
enum<string>

Transaction status.

Available options:
ALL,
COMPLETED,
PENDING,
FAILED
Example:

"COMPLETED"

Response

OK - Balances transactions returned successfully.

total_pages
integer

The total number of pages of available items.

Example:

10

total_items
integer

The total counts of available items.

Example:

105

data
object[]